Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Class CalendarJobDefinition

    java.lang.Object
      com.bea.p13n.jobmanager.config.AbstractJobDefinition
          com.bea.p13n.jobmanager.config.CalendarJobDefinition

All Implemented Interfaces
  CalendarJobDefinitionBean, JobDefinition

    public class CalendarJobDefinition

extends AbstractJobDefinition
implements CalendarJobDefinitionBean

This is a job definition for a `CalendarJob`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.p13n.jobmanager.JobDefinition
`JobDefinition.JOB_TYPE`

Constructor Summary
`CalendarJobDefinition(String name)`

Method Summary
`String` | `getDay()` Day of month to run job
`String` | `getHour()` Hour to run job
`JobDefinition.JOB_TYPE` | `getJobType()`
`String` | `getMinute()` Minute to run job
`String` | `getMonth()` Month of year to run job
`String` | `getYear()` Year to run job
`void` | `setDay(String day)`
`void` | `setHour(String hour)`
`void` | `setMinute(String minute)`
`void` | `setMonth(String month)`
`void` | `setYear(String year)`
`String` | `toString()`

Methods inherited from class com.bea.p13n.jobmanager.config.AbstractJobDefinition
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, isEnabled, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setJobParamBeans, setListenerBeans, setName, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.jobmanager.config.CalendarJobDefinitionBean
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setName, setNode`

Constructor Detail

### CalendarJobDefinition

    public CalendarJobDefinition(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractJobDefinition`

### getJobType

    public JobDefinition.JOB_TYPE getJobType()

  Specified by:
    `getJobType` in class `AbstractJobDefinition`

### getDay

    public String getDay()

  Description copied from interface: `CalendarJobDefinitionBean`
  Day of month to run job

  Specified by:
    `getDay` in interface `CalendarJobDefinitionBean`

### setDay

    public void setDay(String day)

  Specified by:
    `setDay` in interface `CalendarJobDefinitionBean`

### getYear

    public String getYear()

  Description copied from interface: `CalendarJobDefinitionBean`
  Year to run job

  Specified by:
    `getYear` in interface `CalendarJobDefinitionBean`

### setYear

    public void setYear(String year)

  Specified by:
    `setYear` in interface `CalendarJobDefinitionBean`

### getMonth

    public String getMonth()

  Description copied from interface: `CalendarJobDefinitionBean`
  Month of year to run job

  Specified by:
    `getMonth` in interface `CalendarJobDefinitionBean`

### setMonth

    public void setMonth(String month)

  Specified by:
    `setMonth` in interface `CalendarJobDefinitionBean`

### getHour

    public String getHour()

  Description copied from interface: `CalendarJobDefinitionBean`
  Hour to run job

  Specified by:
    `getHour` in interface `CalendarJobDefinitionBean`

### setHour

    public void setHour(String hour)

  Specified by:
    `setHour` in interface `CalendarJobDefinitionBean`

### getMinute

    public String getMinute()

  Description copied from interface: `CalendarJobDefinitionBean`
  Minute to run job

  Specified by:
    `getMinute` in interface `CalendarJobDefinitionBean`

### setMinute

    public void setMinute(String minute)

  Specified by:
    `setMinute` in interface `CalendarJobDefinitionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.